# Interface NgValidatorsErrors

interface NgValidatorsErrors {
email: true;
max: {
actual: number;
max: number;
};
maxlength: {
actualLength: number;
requiredLength: number;
};
min: {
actual: number;
min: number;
};
minlength: {
actualLength: number;
requiredLength: number;
};
pattern: {
actualValue: string;
requiredPattern: string;
};
required: true;
}

- Defined in packages/angular/forms/src/lib/types.ts:81

#####
Index

### Properties

email
max
maxlength
min
minlength
pattern
required

## Properties

### email

email: true

- Defined in packages/angular/forms/src/lib/types.ts:83

### max

max: {
actual: number;
max: number;
}

#### Type declaration

- ##### actual: number

- ##### max: number

- Defined in packages/angular/forms/src/lib/types.ts:88

### maxlength

maxlength: {
actualLength: number;
requiredLength: number;
}

#### Type declaration

- ##### actualLength: number

- ##### requiredLength: number

- Defined in packages/angular/forms/src/lib/types.ts:86

### min

min: {
actual: number;
min: number;
}

#### Type declaration

- ##### actual: number

- ##### min: number

- Defined in packages/angular/forms/src/lib/types.ts:87

### minlength

minlength: {
actualLength: number;
requiredLength: number;
}

#### Type declaration

- ##### actualLength: number

- ##### requiredLength: number

- Defined in packages/angular/forms/src/lib/types.ts:85

### pattern

pattern: {
actualValue: string;
requiredPattern: string;
}

#### Type declaration

- ##### actualValue: string

- ##### requiredPattern: string

- Defined in packages/angular/forms/src/lib/types.ts:84

### required

required: true

- Defined in packages/angular/forms/src/lib/types.ts:82